package com.example.wholeestate.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.example.wholeestate.model.Appointment;

/**
 * <p>
 * 预约记录表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-03-20
 */
public interface AppointmentMapper extends BaseMapper<Appointment> {
    /**
     * 预约列表
     * @param page
     * @return
     */
    IPage<Appendable> appendableList(Page<Appendable> page);

}
