package com.example.wholeestate.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.wholeestate.model.ActivityEnroll;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 活动报名表 Mapper 接口
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
public interface ActivityEnrollMapper extends BaseMapper<ActivityEnroll> {

    @Select("SELECT tac.*,tacus.phone as phone,tacus.`name` as name,tacus.customer_name as customerName FROM ta_activity tac " +
            "RIGHT JOIN ta_activity_enroll tace ON tac.activity_id = tace.activity_id " +
            "LEFT JOIN ta_customer tacus ON tace.customer_id = tacus.customer_id " +
            "WHERE tac.activity_id = #{activityId}")
    IPage<ActivityEnroll> selectPageActivityEnroll(Page page, String activityId);

}
